DynamicJava Javadoc: Class OptionsDialog.OptionSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.gui
Class OptionsDialog.OptionSet

    java.lang.Object
      |
      +--koala.dynamicjava.gui.OptionsDialog.OptionSet

Enclosing class:
  OptionsDialog

public static class OptionsDialog.OptionSet
extends java.lang.Object

To save the options

Field Summary
`java.lang.String[]` | `classPath` The class path
`java.lang.String` | `guiFilename` The GUI initialization file name
`boolean` | `guiFileSelected` The GUI file checkbox state
`java.lang.String` | `guiName` The GUI name
`java.lang.String` | `interpreterFilename` The interpreter initialization file name
`boolean` | `interpreterFileSelected` The interpreter file checkbox state
`java.lang.String` | `interpreterName` The interpreter name
`boolean` | `isErrorSelected` The error checkbox state
`boolean` | `isGUISelected` The GUI checkbox state
`boolean` | `isInterpreterSelected` The interpreter checkbox state
`boolean` | `isOutputSelected` The output checkbox state
`java.lang.String[]` | `libraryPath` The library path

Constructor Summary
`OptionsDialog.OptionSet()` Creates a new option set with default values
`OptionsDialog.OptionSet(OptionsDialog d)` Creates a new option set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classPath

    public java.lang.String[] classPath

  The class path

### libraryPath

    public java.lang.String[] libraryPath

  The library path

### isInterpreterSelected

    public boolean isInterpreterSelected

  The interpreter checkbox state

### interpreterName

    public java.lang.String interpreterName

  The interpreter name

### interpreterFileSelected

    public boolean interpreterFileSelected

  The interpreter file checkbox state

### interpreterFilename

    public java.lang.String interpreterFilename

  The interpreter initialization file name

### isGUISelected

    public boolean isGUISelected

  The GUI checkbox state

### guiName

    public java.lang.String guiName

  The GUI name

### isOutputSelected

    public boolean isOutputSelected

  The output checkbox state

### isErrorSelected

    public boolean isErrorSelected

  The error checkbox state

### guiFileSelected

    public boolean guiFileSelected

  The GUI file checkbox state

### guiFilename

    public java.lang.String guiFilename

  The GUI initialization file name

Constructor Detail

### OptionsDialog.OptionSet

    public OptionsDialog.OptionSet()

  Creates a new option set with default values

### OptionsDialog.OptionSet

    public OptionsDialog.OptionSet(OptionsDialog d)

  Creates a new option set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.